Bug 843458 - SELinux is preventing collectd from 'search' accesses on the directory 1523.
SELinux is preventing collectd from 'search' accesses on the directory 1523.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:03d98767e98e9ccb25d730493b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 07:35 EDT by Gregory Trivett
Modified: 2012-10-17 04:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:31:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Trivett 2012-07-26 07:35:23 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.6-2.fc17.x86_64
time:           Thu 26 Jul 2012 07:34:51 AM EDT

description:
:SELinux is preventing collectd from 'search' accesses on the directory 1523.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that collectd should be allowed search access on the 1523 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep collectd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:collectd_t:s0
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                1523 [ dir ]
:Source                        collectd
:Source Path                   collectd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-140.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.6-2.fc17.x86_64
:                              #1 SMP Thu Jul 19 22:54:16 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Tue 24 Jul 2012 02:21:17 AM EDT
:Last Seen                     Tue 24 Jul 2012 02:21:17 AM EDT
:Local ID                      34f142ca-4d6a-4f7d-90f4-2ae71be3a2f5
:
:Raw Audit Messages
:type=AVC msg=audit(1343110877.118:3670): avc:  denied  { search } for  pid=4763 comm="collectd" name="1523" dev="proc" ino=22139 scontext=system_u:system_r:collectd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dir
:
:
:Hash: collectd,collectd_t,unconfined_t,dir,search
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-26 08:32:57 EDT
Do you know what you were doing when this happened? Does everything work correctly?

Note You need to log in before you can comment on or make changes to this bug.